org.apache.xmlbeans.impl.tool

## Class XMLBean.ErrorLogger

- java.lang.Object
- - java.util.AbstractCollection<XmlError>
  - - org.apache.xmlbeans.impl.tool.XMLBean.ErrorLogger

All Implemented Interfaces:
  Iterable<XmlError>, Collection<XmlError>

Enclosing class:
  XMLBean

    public class XMLBean.ErrorLogger
    extends AbstractCollection<XmlError>

### Constructor Summary

Constructors
Constructor and Description
`ErrorLogger(boolean noisy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `add(XmlError err)`
`Iterator<XmlError>` `iterator()`
`int` `size()`

### Methods inherited from class java.util.AbstractCollection

`addAll, clear, contains, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toArray, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`equals, hashCode, parallelStream, removeIf, spliterator, stream`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Constructor Detail

#### ErrorLogger

    public ErrorLogger(boolean noisy)

### Method Detail

#### add

    public boolean add(XmlError err)

Specified by:
  `add` in interface `Collection<XmlError>`
Overrides:
  `add` in class `AbstractCollection<XmlError>`

#### iterator

    public Iterator<XmlError> iterator()

Specified by:
  `iterator` in interface `Iterable<XmlError>`
Specified by:
  `iterator` in interface `Collection<XmlError>`
Specified by:
  `iterator` in class `AbstractCollection<XmlError>`

#### size

    public int size()

Specified by:
  `size` in interface `Collection<XmlError>`
Specified by:
  `size` in class `AbstractCollection<XmlError>`